# Glom::PyGlomRelatedRecord Class Reference

Collaboration diagram for Glom::PyGlomRelatedRecord:
[legend]

List of all members.

## Public Member Functions

| PyGlomRelatedRecord ()
| ~PyGlomRelatedRecord ()
void | set_relationship (const sharedptr< const Relationship >& relationship, const Glib::ustring& from_key_value_sqlized, Document* document)
boost::python::object | sum (const std::string& field_name) const
boost::python::object | count (const std::string& field_name) const
boost::python::object | min (const std::string& field_name) const
boost::python::object | max (const std::string& field_name) const
long | len () const
boost::python::object | getitem (const boost::python::object& item)

## Constructor & Destructor Documentation

Glom::PyGlomRelatedRecord::PyGlomRelatedRecord | ( |  | ) |

Glom::PyGlomRelatedRecord::~PyGlomRelatedRecord | ( |  | ) |

## Member Function Documentation

boost::python::object Glom::PyGlomRelatedRecord::count | ( | const std::string & | field_name | ) | const

boost::python::object Glom::PyGlomRelatedRecord::getitem | ( | const boost::python::object & | item | ) |

long Glom::PyGlomRelatedRecord::len | ( |  | ) | const

boost::python::object Glom::PyGlomRelatedRecord::max | ( | const std::string & | field_name | ) | const

boost::python::object Glom::PyGlomRelatedRecord::min | ( | const std::string & | field_name | ) | const

void Glom::PyGlomRelatedRecord::set_relationship | ( | const sharedptr< const Relationship >& | relationship,
|  | const Glib::ustring & | from_key_value_sqlized,
|  | Document* | document |
| ) |  |  |

boost::python::object Glom::PyGlomRelatedRecord::sum | ( | const std::string & | field_name | ) | const

The documentation for this class was generated from the following files:

- python_embed/py_glom_relatedrecord.h
- python_embed/py_glom_relatedrecord.cc